## qlandkartegt 1.7.7

=== CMakeLists.txt ===
project(QLandkarteGT)

option(QK_QT5_PORT "Qt5 port" OFF)
if(QK_QT5_PORT)
  set(QT_QMAKE_EXECUTABLE "/usr/lib64/qt5/bin/qmake")
  add_definitions(-DQK_QT5_PORT)
  cmake_minimum_required(VERSION 2.8.9)
  find_package(Qt5Widgets)
  if(NOT(${Qt5Core_VERSION_MINOR} LESS 1))
    set(QK_QT5_SERIAL_PORT ON)
    set(QEXTSERIALPORT_INCLUDE_DIRS "")
  endif(NOT(${Qt5Core_VERSION_MINOR} LESS 1))
  if(NOT(${Qt5Core_VERSION_MINOR} LESS 2))
    set(QK_QT5_TZONE ON)
  endif(NOT(${Qt5Core_VERSION_MINOR} LESS 2))
else(QK_QT5_PORT)
  cmake_minimum_required(VERSION 2.6.0)
endif(QK_QT5_PORT)


set(APPLICATION_NAME ${PROJECT_NAME})

set(APPLICATION_VERSION_MAJOR "1")
set(APPLICATION_VERSION_MINOR "7")
set(APPLICATION_VERSION_PATCH "7")


add_definitions(-DVER_MAJOR=${APPLICATION_VERSION_MAJOR} -DVER_MINOR=${APPLICATION_VERSION_MINOR} -DVER_STEP=${APPLICATION_VERSION_PATCH})

set(EXECUTABLE_OUTPUT_PATH ${CMAKE_BINARY_DIR}/bin)
if (APPLE)
  set(PROGNAME "QLandkarte GT")
  set(CONFIGDIR "Library/Application Support/${PROGNAME}/")
  set(MAC_BUNDLE_PATH ${EXECUTABLE_OUTPUT_PATH}/${PROGNAME}.app)
  set(MAC_ICON_FILE qlandkartegt.icns)
  set(MACOSX_BUNDLE_SHORT_VERSION_STRING ${APPLICATION_VERSION_MAJOR}.${APPLICATION_VERSION_MINOR}.${APPLICATION_VERSION_PATCH})
  set(MACOSX_BUNDLE_ICON_FILE ${MAC_ICON_FILE})
  set(MACOSX_BUNDLE_BUNDLE_NAME ${PROGNAME})
  set(MACOSX_BUNDLE_BUNDLE_VERSION ${APPLICATION_VERSION_MAJOR}.${APPLICATION_VERSION_MINOR})
  set(MACOSX_BUNDLE_GUI_IDENTIFIER org.qlandkarte.QLandkarteGT)
else(APPLE)
  set(PROGNAME qlandkartegt)
  set(CONFIGDIR ".config/QLandkarteGT/")
endif(APPLE)
if(MSVC)
  # Add link-time code generation to improve performance
  set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} /GL")
  set(CMAKE_EXE_LINKER_FLAGS_RELEASE    "${CMAKE_EXE_LINKER_FLAGS_RELEASE} /LTCG")
  set(CMAKE_MODULE_LINKER_FLAGS_RELEASE "${CMAKE_MODULE_LINKER_FLAGS_RELEASE} /LTCG")
  set(CMAKE_SHARED_LINKER_FLAGS_RELEASE "${CMAKE_SHARED_LINKER_FLAGS_RELEASE} /LTCG")
endif(MSVC)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH
  ${CMAKE_SOURCE_DIR}/cmake/Modules
)

# add definitions
include(DefineCMakeDefaults)
include(DefineCompilerFlags)
include(DefineInstallationPaths)
include(CPackConfig.cmake)

# config.h generation
if (NOT WIN32)
SET (NATIVE_FILE_DIALOG ON CACHE BOOL "Use OS native file dialog")
else (NOT WIN32)
SET (NATIVE_FILE_DIALOG OFF CACHE BOOL "Use OS native file dialog")
endif (NOT WIN32)

if(NATIVE_FILE_DIALOG)
    set(FILEDIALOGFLAGS "0")
else(NATIVE_FILE_DIALOG)
    set(FILEDIALOGFLAGS "QFileDialog::DontUseNativeDialog")
endif(NATIVE_FILE_DIALOG)

include(ConfigureChecks.cmake)
configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)

if (NOT QK_QT5_SERIAL_PORT)
  if (NOT WIN32)
    find_package(QextSerialPort)
  else (NOT WIN32)
    find_package(QextSerialPort QUIET)
  endif (NOT WIN32)

  if(NOT QEXTSERIALPORT_FOUND)
    add_subdirectory(3rdparty/SerialPort/qextserialport)
    set(QEXTSERIALPORT_LIBRARIES qextserialport)
    set(QEXTSERIALPORT_INCLUDE_DIRS ${CMAKE_SOURCE_DIR}/3rdparty/SerialPort/qextserialport)
  endif()
  add_subdirectory(3rdparty/SerialPort)
endif (NOT QK_QT5_SERIAL_PORT)

add_subdirectory(3rdparty/QZip)
add_subdirectory(3rdparty/QTextHtmlExporter)
add_subdirectory(3rdparty/QDeviceWatcher)
add_subdirectory(3rdparty/getopt)
add_subdirectory(3rdparty/map2gcm)
add_subdirectory(3rdparty/map2rmap)
add_subdirectory(3rdparty/map2rmp)
add_subdirectory(3rdparty/map2jnx)
add_subdirectory(3rdparty/cache2gtiff)

if (NOT QK_QT5_TZONE)
    add_subdirectory(3rdparty/tzone)
endif (NOT QK_QT5_TZONE)

find_package(QtSoap)
if (NOT QTSOAP_FOUND)
    add_subdirectory(3rdparty/qtsoap)
endif()

add_subdirectory(src)

if (UNIX AND NOT WIN32 AND NOT APPLE)
  install(
    FILES
      qlandkartegt.desktop
    DESTINATION
      ${XDG_APPS_DIR}
  )

  install(
    FILES
      src/icons/qlandkartegt.png
    DESTINATION
      ${DATA_INSTALL_PREFIX}/pixmaps
  )

  install(
    FILES
      qlandkartegt.1
    DESTINATION
      ${MAN_INSTALL_DIR}/man1
  )
endif (UNIX AND NOT WIN32 AND NOT APPLE)

CONFIGURE_FILE(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  IMMEDIATE @ONLY)

ADD_CUSTOM_TARGET(uninstall
  "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

=== src/CMakeLists.txt ===
project(qlandkarteqt-binary)

option(WITH_EXIF "BUILD EXIF" ON)
option(WITH_DMTX "BUILD DMTX" ON)
option(WITH_GPSD "BUILD_GPSD" ON)


if(QK_QT5_PORT)
  find_package(Qt5Widgets)
  find_package(Qt5Quick)
  find_package(Qt5Network)
  find_package(Qt5Gui)
  find_package(Qt5OpenGL)
  find_package(Qt5Xml)
  find_package(Qt5Sql)
  if(NOT APPLE)
    find_package(Qt5DBus)
  endif(NOT APPLE)
  find_package(Qt5PrintSupport)
  find_package(Qt5Script)
  find_package(Qt5Multimedia)
  find_package(Qt5WebKitWidgets)
  if(QK_QT5_SERIAL_PORT)
    find_package(Qt5SerialPort)
    add_definitions(-DQK_QT5_SERIAL_PORT)
  endif(QK_QT5_SERIAL_PORT)
  if(QK_QT5_TZONE)
    add_definitions(-DQK_QT5_TZONE)
  endif(QK_QT5_TZONE)
else(QK_QT5_PORT)
  find_package(Qt4 REQUIRED)
  include(${QT_USE_FILE})
endif(QK_QT5_PORT)

find_package(OpenGL REQUIRED)
find_package(GDAL REQUIRED)
find_package(PROJ REQUIRED)
if(WITH_EXIF)
    find_package(EXIF)
endif(WITH_EXIF)
if(WITH_DMTX)
    find_package(DMTX)
endif(WITH_DMTX)
if(WITH_GPSD)
    find_package(GPSD)
endif(WITH_GPSD)

if (NOT WIN32)
  find_program(GDALWARP gdalwarp DOC "full path of the gdalwarp application")
  find_program(GDALTRANSLATE gdal_translate DOC "full path of the gdal_translate application")
  find_program(GDALADDO gdaladdo DOC "full path of the gdaladdo application")
  find_program(GPSBABEL gpsbabel DOC "full path of the gpsbabel application")
else (NOT WIN32)
  set(GDALWARP "gdalwarp.exe")
  set(GDALTRANSLATE "gdal_translate.exe")
  set(GDALADDO "gdaladdo.exe")
  set(GPSBABEL "gpsbabel.exe")
endif (NOT WIN32)

if(GDALWARP)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DGDALWARP=\\\"${GDALWARP}\\\"")
else(GDALWARP)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DGDALWARP=\\\"gdalwarp\\\"")
endif(GDALWARP)

if(GDALTRANSLATE)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DGDALTRANSLATE=\\\"${GDALTRANSLATE}\\\"")
else(GDALTRANSLATE)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DGDALTRANSLATE=\\\"gdal_translate\\\"")
endif(GDALTRANSLATE)

if(GDALADDO)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DGDALADDO=\\\"${GDALADDO}\\\"")
else(GDALADDO)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DGDALADDO=\\\"gdaladdo\\\"")
endif(GDALADDO)


if(GPSBABEL)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DGPSBABEL=\\\"${GPSBABEL}\\\"")
else(GPSBABEL)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DGPSBABEL=\\\"gpsbabel\\\"")
endif(GPSBABEL)

if(WITH_PROFILING)
    set(PROFILING_LIBRARIES "conan")
else(WITH_PROFILING)
    set(PROFILING_LIBRARIES "")
endif(WITH_PROFILING)


if (NOT WIN32)
  find_program(MAP2JNX map2jnx DOC "full path of the map2jnx application")
  if(MAP2JNX)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DMAP2JNX=\\\"${MAP2JNX}\\\"")
  else(MAP2JNX)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DMAP2JNX=\\\"map2jnx\\\"")
  endif(MAP2JNX)
endif (NOT WIN32)



set(qlandkarte_SRCS
    main.cpp
    mitab.cpp
    tcxreader.cpp
    CActions.cpp
    CMenus.cpp
    GeoMath.cpp
    WptIcons.cpp
    CResources.cpp
    CCopyright.cpp
    CApplication.cpp
    CMainWindow.cpp
    CCanvas.cpp
    CCanvasUndoCommandZoom.cpp
    CStatusDEM.cpp
    IMouse.cpp
    CMouseMoveMap.cpp
    CMouseZoomMap.cpp
    CMouseSelMap.cpp
    CMouseAddWpt.cpp
    CMouseMoveWpt.cpp
    CMouseEditWpt.cpp
    CMouseRefPoint.cpp
    CMouseCutTrack.cpp
    CMouseSelTrack.cpp
    CMouseAddText.cpp
    CMouseAddTextBox.cpp
    CMouseAddDistance.cpp
    CMouseAddArea.cpp
    CMouseOverlay.cpp
    CMouseColorPicker.cpp
    CMouseSelWpt.cpp
    IMap.cpp
    CMapNoMap.cpp
    CMapDEM.cpp
    CMapFile.cpp
    CMapLevel.cpp
    CMapQMAP.cpp
    CMapQMAPExport.cpp
    CMapRaster.cpp
    CMapGeoTiff.cpp
    CMapWms.cpp
    CMapTms.cpp
    CMapJnx.cpp
    CMapRmap.cpp
    CMap3D.cpp
    IMapSelection.cpp
    CMapSelectionRaster.cpp
    CMapSelectionGarmin.cpp
    CMapSearchWidget.cpp
    CMapSearchCanvas.cpp
    CMapSearchThread.cpp
    CMegaMenu.cpp
    IDB.cpp
    CWpt.cpp
    CWptDB.cpp
    CWptToolWidget.cpp
    CSearch.cpp
    CSearchDB.cpp
    CSearchToolWidget.cpp
    CDlgConfig.cpp
    CDlgEditWpt.cpp
    CDlgWptIcon.cpp
    CDlgEditMapLevel.cpp
    CDlgCombineTracks.cpp
    CDlgCombineDistOvl.cpp
    CDlgProjWizzard.cpp
    CDlgEditText.cpp
    CDlgDelWpt.cpp
    CDlgConvertToTrack.cpp
    CDlgEditRoute.cpp
    CDlgLoadOnlineMap.cpp
    CDlgMapTDBConfig.cpp
    CDlgMapQMAPConfig.cpp
    CDlgMapJNXConfig.cpp
    CDlgMapTmsConfig.cpp
    CDlgMapWmsConfig.cpp
    CDlgMapRMPConfig.cpp
    CDlgNoMapConfig.cpp
    CDlgScreenshot.cpp
    CDlgTrackFilter.cpp
    CDlgSetupGarminIcons.cpp
    CDlgConfig3D.cpp
    CDlgExport.cpp
    CDlgWpt2Rte.cpp
    CDlgSetupGrid.cpp
    CDlgCropMap.cpp
    CDlgParentWpt.cpp
    CDlgDeviceExportPath.cpp
    CDlgProxy.cpp
    CDlgMultiColorConfig.cpp
    CDlg3DHelp.cpp
    CQlb.cpp
    CGpx.cpp
    IDevice.cpp
    CDeviceQLandkarteM.cpp
    CDeviceMagellan.cpp
    CDeviceGarmin.cpp
    CDeviceGarminBulk.cpp
    CDeviceNMEA.cpp
    CDeviceTwoNav.cpp
    CCreateMapQMAP.cpp
    CCreateMapGeoTiff.cpp
    CCreateMapGridTool.cpp
    CCreateMapFineTune.cpp
    CMapUndoCommandMove.cpp
    CMapDB.cpp
    CMapToolWidget.cpp
    CMapEditWidget.cpp
    CUndoStackModel.cpp
    CUndoStackView.cpp
    CTrackUndoCommandDeletePts.cpp
    CTrackUndoCommandPurgePts.cpp
    CTrackUndoCommandSelect.cpp
    CTrack.cpp
    CTrackDB.cpp
    CTrackToolWidget.cpp
    CTrackEditWidget.cpp
    ITrackStat.cpp
    CTrackStatProfileWidget.cpp
    CTrackStatSpeedWidget.cpp
    CTrackStatTraineeWidget.cpp
    CTrackStatDistanceWidget.cpp
    CTrackFilterWidget.cpp
    CRoute.cpp
    CRouteDB.cpp
    CRouteToolWidget.cpp
    CTabWidget.cpp
    CDiary.cpp
    CDiaryDB.cpp
    CDiaryEdit.cpp
    CTextEditWidget.cpp
    CPlot.cpp
    CPlotAxis.cpp
    CPlotAxisTime.cpp
    CPlotData.cpp
    CLiveLog.cpp
    CLiveLogDB.cpp
    CLiveLogToolWidget.cpp
    IOverlay.cpp
    COverlayDB.cpp
    COverlayToolWidget.cpp
    COverlayText.cpp
    COverlayTextBox.cpp
    COverlayDistance.cpp
    COverlayDistanceEditWidget.cpp
    COverlayArea.cpp
    COverlayAreaEditWidget.cpp
    IUnit.cpp
    CUnitMetric.cpp
    CUnitImperial.cpp
    CUnitNautic.cpp
    CImage.cpp
    IGarminStrTbl.cpp
    CGarminStrTbl6.cpp
    CGarminStrTbl8.cpp
    CGarminStrTblUtf8.cpp
    CGarminPolygon.cpp
    CGarminPoint.cpp
    CGarminTile.cpp
    CGarminExport.cpp
    IGarminTyp.cpp
    CGarminTyp.cpp
    CGarminTypNT.cpp
    CMapTDB.cpp
    CHelpButton.cpp
    CSpline.cpp
    IItem.cpp
    CImageSelect.cpp
    CGridDB.cpp
    IDiskCache.cpp
    CDiskCache.cpp
    CDiskCacheZip.cpp
    CTextBrowser.cpp
    CImageViewer.cpp
    CMapRmp.cpp
    CMapDEMSlopeSetup.cpp
    IExchange.cpp
    CExchangeGarmin.cpp
    CExchangeTwoNav.cpp
)

if (WIN32)
    SET(qlandkarte_SRCS ${qlandkarte_SRCS} qlandkarte.rc)
endif (WIN32)

set(qlandkarte_HDRS
    Platform.h
    version.h
    mitab.h
    tcxreader.h
    CActions.h
    CMenus.h
    GeoMath.h
    WptIcons.h
    CResources.h
    CCopyright.h
    CApplication.h
    CMainWindow.h
    CCanvas.h
    CStatusDEM.h
    IMouse.h
    CMouseMoveMap.h
    CMouseZoomMap.h
    CMouseSelMap.h
    CMouseAddWpt.h
    CMouseMoveWpt.h
    CMouseEditWpt.h
    CMouseRefPoint.h
    CMouseCutTrack.h
    CMouseSelTrack.h
    CMouseAddText.h
    CMouseAddTextBox.h
    CMouseAddDistance.h
    CMouseAddArea.h
    CMouseOverlay.h
    CMouseColorPicker.h
    CMouseSelWpt.h
    IMap.h
    CMapNoMap.h
    CMapDEM.h
    CMapFile.h
    CMapLevel.h
    CMapQMAP.h
    CMapQMAPExport.h
    CMapRaster.h
    CMapGeoTiff.h
    CMapWms.h
    CMapTms.h
    CMapJnx.h
    CMapRmap.h
    CMap3D.h
    IMapSelection.h
    CMapSelectionRaster.h
    CMapSelectionGarmin.h
    CMapSearchWidget.h
    CMapSearchCanvas.h
    CMapSearchThread.h
    CMegaMenu.h
    IDB.h
    CWpt.h
    CWptDB.h
    CWptToolWidget.h
    CSearch.h
    CSearchDB.h
    CSearchToolWidget.h
    CDlgConfig.h
    CDlgEditWpt.h
    CDlgLoadOnlineMap.h
    CDlgWptIcon.h
    CDlgEditMapLevel.h
    CDlgCombineTracks.h
    CDlgCombineDistOvl.h
    CDlgProjWizzard.h
    CDlgEditText.h
    CDlgDelWpt.h
    CDlgConvertToTrack.h
    CDlgEditRoute.h
    CDlgMapTDBConfig.h
    CDlgMapQMAPConfig.h
    CDlgMapJNXConfig.h
    CDlgMapTmsConfig.h
    CDlgMapWmsConfig.h
    CDlgMapRMPConfig.h
    CDlgNoMapConfig.h
    CDlgScreenshot.h
    CDlgTrackFilter.h
    CDlgSetupGarminIcons.h
    CDlgConfig3D.h
    CDlgExport.h
    CDlgWpt2Rte.h
    CDlgSetupGrid.h
    CDlgCropMap.h
    CDlgParentWpt.h
    CDlgDeviceExportPath.h
    CDlgProxy.h
    CDlgMultiColorConfig.h
    CDlg3DHelp.h
    CQlb.h
    CGpx.h
    IDevice.h
    CDeviceQLandkarteM.h
    CDeviceMagellan.h
    CDeviceGarmin.h
    CDeviceGarminBulk.h
    CDeviceNMEA.h
    CDeviceTwoNav.h
    CCreateMapQMAP.h
    CCreateMapGeoTiff.h
    CCreateMapGridTool.h
    CCreateMapFineTune.h
    CMapDB.h
    CMapToolWidget.h
    CMapEditWidget.h
    CUndoStackModel.h
    CUndoStackView.h
    CTrackUndoCommandSelect.h
    CTrack.h
    CTrackDB.h
    CTrackToolWidget.h
    CTrackEditWidget.h
    ITrackStat.h
    CTrackStatProfileWidget.h
    CTrackStatSpeedWidget.h
    CTrackStatTraineeWidget.h
    CTrackStatDistanceWidget.h
    CTrackFilterWidget.h
    CRoute.h
    CRouteDB.h
    CRouteToolWidget.h
    CTabWidget.h
    CDiary.h
    CDiaryDB.h
    CDiaryEdit.h
    CTextEditWidget.h
    CPlot.h
    CPlotAxis.h
    CPlotAxisTime.h
    CPlotData.h
    CLiveLog.h
    CLiveLogDB.h
    CLiveLogToolWidget.h
    IOverlay.h
    COverlayDB.h
    COverlayToolWidget.h
    COverlayText.h
    COverlayTextBox.h
    COverlayDistance.h
    COverlayDistanceEditWidget.h
    COverlayArea.h
    COverlayAreaEditWidget.h
    IUnit.h
    CUnitMetric.h
    CUnitImperial.h
    CUnitNautic.h
    CImage.h
    IGarminStrTbl.h
    CGarminStrTbl6.h
    CGarminStrTbl8.h
    CGarminStrTblUtf8.h
    CGarminPolygon.h
    CGarminPoint.h
    CGarminTile.h
    Garmin.h
    CGarminExport.h
    IGarminTyp.h
    CGarminTyp.h
    CGarminTypNT.h
    CMapTDB.h
    CAppOpts.h
    CHelpButton.h
    CSpline.h
    IItem.h
    CImageSelect.h
    CGridDB.h
    IDiskCache.h
    CDiskCache.h
    CDiskCacheZip.h
    CSettings.h
    CTextBrowser.h
    CImageViewer.h
    CMapRmp.h
    CMapDEMSlopeSetup.h
    Dictionary.h
    QFileExt.h
    IExchange.h
    CExchangeGarmin.h
    CExchangeTwoNav.h
)


SET(qlandkarte_UIS
    ICopyright.ui
    IWptToolWidget.ui
    IMapToolWidget.ui
    IMapEditWidget.ui
    IMapSearchWidget.ui
    IMapQMAPExport.ui
    ITrackToolWidget.ui
    ITrackEditWidget.ui
    ITrackStatWidget.ui
    ITrackFilterWidget.ui
    ISearchToolWidget.ui
    IDlgConfig.ui
    IDlgEditWpt.ui
    IDlgWptIcon.ui
    IDlgEditMapLevel.ui
    IDlgCombineTracks.ui
    IDlgCombineDistOvl.ui
    IDlgDelWpt.ui
    IDlgConvertToTrack.ui
    IDlgEditRoute.ui
    IDlgLoadOnlineMap.ui
    IDlgMapTDBConfig.ui
    IDlgMapQMAPConfig.ui
    IDlgMapJNXConfig.ui
    IDlgMapTmsConfig.ui
    IDlgMapWmsConfig.ui
    IDlgMapRMPConfig.ui
    IDlgNoMapConfig.ui
    IDlgScreenshot.ui
    IDlgTrackFilter.ui
    IDlgSetupGarminIcons.ui
    IDlgConfig3D.ui
    IDlgExport.ui
    IDlgWpt2Rte.ui
    IDlgSetupGrid.ui
    IDlgCropMap.ui
    IDlgParentWpt.ui
    IDlgDeviceExportPath.ui
    IDlgProxy.ui
    IDlgMultiColorConfig.ui
    IDlg3DHelp.ui
    ICreateMapQMAP.ui
    ICreateMapGeoTiff.ui
    ICreateMapGridTool.ui
    ICreateMapFineTune.ui
    IRouteToolWidget.ui
    IStatusDEM.ui
    IDlgProjWizzard.ui
    ITextEditWidget.ui
    ILiveLogToolWidget.ui
    IOverlayToolWidget.ui
    IOverlayDistanceEditWidget.ui
    IOverlayAreaEditWidget.ui
    IGarminExport.ui
    IHelpDlg.ui
    IDiaryEdit.ui
    IImageSelect.ui
    IImageViewer.ui
    IMapDEMSlopeSetup.ui
)

SET(qlandkarte_RCS
    resources.qrc
)

add_definitions(-DDB_VERSION=9)
SET(qlandkarte_HDRS ${qlandkarte_HDRS}  CGeoDB.h CDlgSelGeoDBFolder.h CDlgEditFolder.h)
SET(qlandkarte_SRCS ${qlandkarte_SRCS}  CGeoDB.cpp CDlgSelGeoDBFolder.cpp CDlgEditFolder.cpp)
SET(qlandkarte_UIS ${qlandkarte_UIS} IGeoToolWidget.ui IDlgSelGeoDBFolder.ui IDlgEditFolder.ui)

=== 3rdparty/QDeviceWatcher/CMakeLists.txt ===
project(QDeviceWatcher)

# Required cmake version
cmake_minimum_required(VERSION 2.6.0)


set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/lib)

if(QK_QT5_PORT)
  find_package(Qt5Widgets)
else(QK_QT5_PORT)
  find_package(Qt4 REQUIRED)
  include(${QT_USE_FILE})
endif(QK_QT5_PORT)

set(SRCS
    qdevicewatcher.cpp
    qdevicechangeevent.cpp
)

set(HDRS
    qdevicewatcher_p.h
    qdevicewatcher.h
    qdevicechangeevent.h
    qdevicewatcher_global.h
)

if(UNIX)
    SET(SRCS ${SRCS}  qdevicewatcher_linux.cpp)
endif(UNIX)
if (APPLE)
    SET(SRCS ${SRCS}  qdevicewatcher_mac.cpp)
endif(APPLE)
if(WIN32)
    SET(SRCS ${SRCS}  qdevicewatcher_win32.cpp)
endif(WIN32)


set(UIS

)

set(RCS


)


if(QK_QT5_PORT)
  qt5_wrap_cpp(MOC_SRCS ${HDRS})
  qt5_wrap_ui(UI_HDRS ${UIS})
  qt5_add_resources(RC_SRCS ${RCS})
else(QK_QT5_PORT)
  qt4_wrap_cpp(MOC_SRCS ${HDRS})
  qt4_wrap_ui(UI_HDRS ${UIS})
  qt4_add_resources(RC_SRCS ${RCS})
endif(QK_QT5_PORT)


include_directories(

)

link_directories(
    ${CMAKE_BINARY_DIR}/lib
)

add_library(qdevicewatcher
  ${SRCS}
  ${HDRS}
  ${UI_HDRS}
  ${RC_SRCS}
  ${MOC_SRCS}
  ${QM_FILES}
)
if(QK_QT5_PORT)
  qt5_use_modules(qdevicewatcher )
endif(QK_QT5_PORT)

target_link_libraries( qdevicewatcher
      ${QT_LIBRARIES}
)

=== debian/changelog ===
qlandkartegt (1.7.7-3) unstable; urgency=medium

  [ Jaromír Mikeš ]
  * Move package from collab-maint to the Debian GIS team (pkg-grass).

  [ Bas Couwenberg ]
  * Team upload.
  * Fix uploader-address-malformed lintian issue, by separating the Uploaders
    with a comma.
  * Reformat control file with cme, update gdal and proj build dependencies.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 18 Aug 2014 10:13:53 +0200

qlandkartegt (1.7.7-2) unstable; urgency=low

  * Added patch to fix build on kfreebsd (Closes: #754641).

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 25 Jul 2014 12:58:21 +0200

qlandkartegt (1.7.7-1) unstable; urgency=low

  * New upstream release.
  * Patches refreshed.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 10 Jul 2014 11:44:09 +0200

qlandkartegt (1.7.6-1) unstable; urgency=low

  * New upstream release.
  * Added patches from Christoph Biedl <debian.packages.hhqj@manchmal.in-ulm.de> (Closes: #739917).

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 25 Feb 2014 00:18:15 +0100

=== debian/control ===
Source: qlandkartegt
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Jaromír Mikeš <mira.mikes@seznam.cz>,
           Michael Hanke <mih@debian.org>
Section: science
Priority: optional
Build-Depends: cmake,
               debhelper (>= 9.20120417~),
               gpsbabel,
               imagemagick,
               libdmtx-dev,
               libexif-dev,
               libgdal-dev (>= 1.10.1-0~),
               libgps-dev,
               libproj-dev,
               libqt4-dev,
               libqt4-opengl-dev,
               libqtwebkit-dev
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/qlandkartegt.git
Vcs-Git: git://anonscm.debian.org/pkg-grass/qlandkartegt.git
Homepage: http://www.qlandkarte.org

Package: qlandkartegt
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: gdal-bin,
            gpsbabel,
            qlandkartegt-garmin
Suggests: gpsd
Provides: qlandkarte
Replaces: qlandkarte
Description: GPS mapping (GeoTiff and vector) and GPSr management
 This package provides a versatile tool for GPS maps in GeoTiff format as
 well as Garmin's img vector map format. QLandkarteGT is the successor of
 QLandkarte. Among various improvements (e.g. 2D/3D map rendering and
 reduced resource demands) the major difference is its
 device-independent architecture, which is not limited to Garmin devices
 anymore. Therefore, the package also does not include device drivers.
 Drivers for a number of Garmin devices are available from the
 qlandkartegt-garmin package.
 .
 Additionally, QLandkarteGT serves as a frontend to the GDAL tools, to
 make georeferencing of scanned maps feasible for users. In contrast to
 similar tools (e.g. QGis) its straightforward interface is especially
 suited for non-scientific users.

## qlandkartegt 1.8.1%2Bds

=== 3rdparty/SerialPort/CMakeLists.txt ===
project(SerialPort)

# Required cmake version
cmake_minimum_required(VERSION 2.6.0)


set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/lib)

if(QK_QT5_PORT)
  find_package(Qt5Widgets)
else(QK_QT5_PORT)
  find_package(Qt4 REQUIRED)
  include(${QT_USE_FILE})
endif(QK_QT5_PORT)

set(SRCS
    ManageSerialPort.cpp
)

set(HDRS
    ManageSerialPort.h
)

set(UIS

)

set(RCS


)


if(QK_QT5_PORT)
  qt5_wrap_cpp(MOC_SRCS ${HDRS})
  qt5_wrap_ui(UI_HDRS ${UIS})
  qt5_add_resources(RC_SRCS ${RCS})
else(QK_QT5_PORT)
  qt4_wrap_cpp(MOC_SRCS ${HDRS})
  qt4_wrap_ui(UI_HDRS ${UIS})
  qt4_add_resources(RC_SRCS ${RCS})
endif(QK_QT5_PORT)


include_directories(
    ${QEXTSERIALPORT_INCLUDE_DIRS}
)

link_directories(
    ${CMAKE_BINARY_DIR}/lib
)

add_library(SerialPort
  ${SRCS}
  ${HDRS}
  ${UI_HDRS}
  ${RC_SRCS}
  ${MOC_SRCS}
  ${QM_FILES}
)
if(QK_QT5_PORT)
  qt5_use_modules(SerialPort Widgets)
endif(QK_QT5_PORT)

target_link_libraries( SerialPort
      ${QT_LIBRARIES} ${QEXTSERIALPORT_LIBRARIES}
)

=== 3rdparty/cache2gtiff/CMakeLists.txt ===
project(map2gcm)

# Required cmake version
cmake_minimum_required(VERSION 2.6.0)

find_package(GDAL REQUIRED)
find_package(PROJ REQUIRED)

if(QK_QT5_PORT)
  find_package(Qt5Widgets)
  find_package(Qt5Xml)
else(QK_QT5_PORT)
  find_package(Qt4 REQUIRED)
  include(${QT_USE_FILE})
endif(QK_QT5_PORT)

set(SRCS
    main.cpp
    ../../src/CDiskCache.cpp
    ../../src/IDiskCache.cpp
)

set(HDRS
    ../../src/CDiskCache.h
    ../../src/IDiskCache.h
)

set(UIS

)

set(RCS


)

if(QK_QT5_PORT)
  qt5_wrap_cpp(MOC_SRCS ${HDRS})
  qt5_wrap_ui(UI_HDRS ${UIS})
  qt5_add_resources(RC_SRCS ${RCS})
else(QK_QT5_PORT)
  qt4_wrap_cpp(MOC_SRCS ${HDRS})
  qt4_wrap_ui(UI_HDRS ${UIS})
  qt4_add_resources(RC_SRCS ${RCS})
endif(QK_QT5_PORT)

include_directories(
    ${CMAKE_BINARY_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${GDAL_INCLUDE_DIRS}
    ${PROJ_INCLUDE_DIRS}
    ${JPEG_INCLUDE_DIRS}
    ${QT_QTXML_INCLUDE_DIR}
    ../../src/
)
if(WIN32)
    include_directories(
        ${CMAKE_SOURCE_DIR}/Win32/
    )
endif(WIN32)

add_executable( cache2gtiff
    ${SRCS}
    ${HDRS}
    ${UI_HDRS}
    ${RC_SRCS}
    ${MOC_SRCS}
    ${QM_FILES}
)

add_definitions(-DSTANDALONE)

if(APPLE)
set_target_properties( cache2gtiff PROPERTIES
    RUNTIME_OUTPUT_DIRECTORY ${MAC_BUNDLE_PATH}/Contents/Resources
)
endif(APPLE)

if(MSVC)
  add_definitions(-D_CRT_SECURE_NO_DEPRECATE )
endif(MSVC)

target_link_libraries( cache2gtiff
    ${GDAL_LIBRARIES}
    ${PROJ_LIBRARIES}
    ${JPEG_LIBRARIES}
    ${QT_LIBRARIES}
    ${QT_QTXML_LIBRARIES}
)


if(QK_QT5_PORT)
qt5_use_modules(cache2gtiff  Widgets)
qt5_use_modules(cache2gtiff  Xml)
endif(QK_QT5_PORT)

install(
    TARGETS
      cache2gtiff
    DESTINATION
      ${BIN_INSTALL_DIR}
)

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/,\
repacksuffix=+ds \
http://sf.net/qlandkartegt/ \
qlandkartegt-(\d)\.([\d\S]*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## qlandkartegt 1.8.1+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -21,8 +21,8 @@
 set(APPLICATION_NAME ${PROJECT_NAME})
 
 set(APPLICATION_VERSION_MAJOR "1")
-set(APPLICATION_VERSION_MINOR "7")
-set(APPLICATION_VERSION_PATCH "7")
+set(APPLICATION_VERSION_MINOR "8")
+set(APPLICATION_VERSION_PATCH "1")
 
 
 add_definitions(-DVER_MAJOR=${APPLICATION_VERSION_MAJOR} -DVER_MINOR=${APPLICATION_VERSION_MINOR} -DVER_STEP=${APPLICATION_VERSION_PATCH})
@@ -94,7 +94,6 @@
 
 add_subdirectory(3rdparty/QZip)
 add_subdirectory(3rdparty/QTextHtmlExporter)
-add_subdirectory(3rdparty/QDeviceWatcher)
 add_subdirectory(3rdparty/getopt)
 add_subdirectory(3rdparty/map2gcm)
 add_subdirectory(3rdparty/map2rmap)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -463,7 +463,6 @@
     CImageViewer.h
     CMapRmp.h
     CMapDEMSlopeSetup.h
-    Dictionary.h
     QFileExt.h
     IExchange.h
     CExchangeGarmin.h

=== 3rdparty/QTextHtmlExporter/CMakeLists.txt ===
project(QTextHtmlExporter)

# Required cmake version
cmake_minimum_required(VERSION 2.6.0)


set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/lib)


if(QK_QT5_PORT)
  find_package(Qt5Widgets)
else(QK_QT5_PORT)
  find_package(Qt4 REQUIRED)
  include(${QT_USE_FILE})
endif(QK_QT5_PORT)



set(SRCS
    QTextHtmlExporter.cpp
)

set(HDRS
    QTextHtmlExporter.h
)

set(UIS

)

set(RCS


)


if(QK_QT5_PORT)
  qt5_wrap_cpp(MOC_SRCS ${HDRS})
  qt5_wrap_ui(UI_HDRS ${UIS})
  qt5_add_resources(RC_SRCS ${RCS})
else(QK_QT5_PORT)
  qt4_wrap_cpp(MOC_SRCS ${HDRS})
  qt4_wrap_ui(UI_HDRS ${UIS})
  qt4_add_resources(RC_SRCS ${RCS})
endif(QK_QT5_PORT)



include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${QT_QTXML_INCLUDE_DIR}
  ${QT_ZLIB_INCLUDE_DIR}
)

link_directories(
    ${CMAKE_BINARY_DIR}/lib
)

add_library(qtexthtmlexporter
  ${SRCS}
  ${HDRS}
  ${UI_HDRS}
  ${RC_SRCS}
  ${MOC_SRCS}
  ${QM_FILES}
)
if(QK_QT5_PORT)
qt5_use_modules(qtexthtmlexporter Widgets)
endif(QK_QT5_PORT)

if(WIN32)
target_link_libraries( qtexthtmlexporter
      ${QT_LIBRARIES}
)
else(WIN32)
target_link_libraries( qtexthtmlexporter
      ${QT_LIBRARIES}
)
endif(WIN32)

=== 3rdparty/QZip/CMakeLists.txt ===
project(QZip)

# Required cmake version
cmake_minimum_required(VERSION 2.6.0)


set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/lib)


if(QK_QT5_PORT)
  find_package(Qt5Widgets)
else(QK_QT5_PORT)
  find_package(Qt4 REQUIRED)
  include(${QT_USE_FILE})
endif(QK_QT5_PORT)

if(WIN32)
    #add path to zlib.h in QT 3rdparty directory
    EXEC_PROGRAM( ${QT_QMAKE_EXECUTABLE}
      ARGS "-query QT_INSTALL_PREFIX"
      OUTPUT_VARIABLE QT_INSTALL_PREFIX )
    # make sure we have / and not \ as qmake gives on windows
    FILE(TO_CMAKE_PATH "${QT_INSTALL_PREFIX}" QT_INSTALL_PREFIX)
    set(QT_ZLIB_INCLUDE_DIR ${QT_INSTALL_PREFIX}/src/3rdparty/zlib)
endif(WIN32)



set(SRCS
    qzip.cpp
)

set(HDRS
    qzipreader.h
    qzipwriter.h
)

set(UIS

)

set(RCS


)


if(QK_QT5_PORT)
  qt5_wrap_cpp(MOC_SRCS ${HDRS})
  qt5_wrap_ui(UI_HDRS ${UIS})
  qt5_add_resources(RC_SRCS ${RCS})
else(QK_QT5_PORT)
  qt4_wrap_cpp(MOC_SRCS ${HDRS})
  qt4_wrap_ui(UI_HDRS ${UIS})
  qt4_add_resources(RC_SRCS ${RCS})
endif(QK_QT5_PORT)



include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${QT_QTXML_INCLUDE_DIR}
  ${QT_ZLIB_INCLUDE_DIR}
)

link_directories(
    ${CMAKE_BINARY_DIR}/lib
)

add_library(qzip
  ${SRCS}
  ${HDRS}
  ${UI_HDRS}
  ${RC_SRCS}
  ${MOC_SRCS}
  ${QM_FILES}
)

if(QK_QT5_PORT)
  qt5_use_modules(qzip Widgets)
endif(QK_QT5_PORT)

if(WIN32)
target_link_libraries( qzip
      ${QT_LIBRARIES}
)
else(WIN32)
target_link_libraries( qzip
      ${QT_LIBRARIES}
      z
)
endif(WIN32)

=== 3rdparty/getopt/CMakeLists.txt ===
project(getopt)

# Required cmake version
cmake_minimum_required(VERSION 2.6.0)


set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/lib)



if(QK_QT5_PORT)
  find_package(Qt5Widgets)
else(QK_QT5_PORT)
  find_package(Qt4 REQUIRED)
  include(${QT_USE_FILE})
endif(QK_QT5_PORT)

set(SRCS
    CGetOpt.cpp
)

set(HDRS
    CGetOpt.h
)

set(UIS

)

set(RCS


)


if(QK_QT5_PORT)
  qt5_wrap_cpp(MOC_SRCS ${HDRS})
  qt5_wrap_ui(UI_HDRS ${UIS})
  qt5_add_resources(RC_SRCS ${RCS})
else(QK_QT5_PORT)
  qt4_wrap_cpp(MOC_SRCS ${HDRS})
  qt4_wrap_ui(UI_HDRS ${UIS})
  qt4_add_resources(RC_SRCS ${RCS})
endif(QK_QT5_PORT)



include_directories(

)

link_directories(
    ${CMAKE_BINARY_DIR}/lib
)

add_library(getopt
  STATIC
  ${SRCS}
  ${HDRS}
  ${UI_HDRS}
  ${RC_SRCS}
  ${MOC_SRCS}
  ${QM_FILES}
)

if(QK_QT5_PORT)
qt5_use_modules(getopt Widgets)
endif(QK_QT5_PORT)

target_link_libraries( getopt
      ${QT_LIBRARIES}
)

=== 3rdparty/map2gcm/CMakeLists.txt ===
project(map2gcm)

# Required cmake version
cmake_minimum_required(VERSION 2.6.0)

find_package(GDAL REQUIRED)
find_package(PROJ REQUIRED)
find_package(JPEG REQUIRED)


if(QK_QT5_PORT)
  find_package(Qt5Widgets)
else(QK_QT5_PORT)
  find_package(Qt4 REQUIRED)
  include(${QT_USE_FILE})
endif(QK_QT5_PORT)

set(SRCS
    main.cpp
)

set(HDRS

)

set(UIS

)

set(RCS


)


if(QK_QT5_PORT)
  qt5_wrap_cpp(MOC_SRCS ${HDRS})
  qt5_wrap_ui(UI_HDRS ${UIS})
  qt5_add_resources(RC_SRCS ${RCS})
else(QK_QT5_PORT)
  qt4_wrap_cpp(MOC_SRCS ${HDRS})
  qt4_wrap_ui(UI_HDRS ${UIS})
  qt4_add_resources(RC_SRCS ${RCS})
endif(QK_QT5_PORT)
include_directories(
    ${CMAKE_BINARY_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${GDAL_INCLUDE_DIRS}
    ${PROJ_INCLUDE_DIRS}
    ${JPEG_INCLUDE_DIRS}
    ${CMAKE_SOURCE_DIR}/3rdparty/QZip
)
if(WIN32)
    include_directories(
        ${CMAKE_SOURCE_DIR}/Win32/
    )
endif(WIN32)

link_directories(
    ${CMAKE_BINARY_DIR}/lib
)

add_executable( map2gcm
    ${SRCS}
    ${HDRS}
    ${UI_HDRS}
    ${RC_SRCS}
    ${MOC_SRCS}
    ${QM_FILES}
)

if(APPLE)
set_target_properties( map2gcm PROPERTIES
    RUNTIME_OUTPUT_DIRECTORY ${MAC_BUNDLE_PATH}/Contents/Resources
)
endif(APPLE)

if(MSVC)
  add_definitions(-D_CRT_SECURE_NO_DEPRECATE )
endif(MSVC)


if(WIN32)
target_link_libraries( map2gcm
    ${GDAL_LIBRARIES}
    ${PROJ_LIBRARIES}
    ${JPEG_LIBRARIES}
    ${QT_LIBRARIES}
    qzip
)
else(WIN32)
target_link_libraries( map2gcm
    ${GDAL_LIBRARIES}
    ${PROJ_LIBRARIES}
    ${JPEG_LIBRARIES}
    ${QT_LIBRARIES}
    qzip
)
endif(WIN32)

if(QK_QT5_PORT)
  qt5_use_modules(map2gcm Widgets)
endif(QK_QT5_PORT)

install(
    TARGETS
      map2gcm
    DESTINATION
      ${BIN_INSTALL_DIR}
)

=== 3rdparty/map2jnx/CMakeLists.txt ===

find_package(GDAL REQUIRED)
find_package(PROJ REQUIRED)
find_package(JPEG REQUIRED)

IF(WIN32)
  LINK_DIRECTORIES( ${CMAKE_SOURCE_DIR}/win32 )
  INCLUDE_DIRECTORIES( ../win32 )
ENDIF(WIN32)


#if you don't want the full compiler output, remove the following line
SET(CMAKE_VERBOSE_MAKEFILE ON)
SET(SRCS main.cpp argv.cpp)
SET(HDRS argv.h)


include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${GDAL_INCLUDE_DIRS}
  ${PROJ_INCLUDE_DIRS}
  ${JPEG_INCLUDE_DIRS}
)

if(WIN32)
    include_directories(
        ${CMAKE_SOURCE_DIR}/Win32/
    )
endif(WIN32)

#list all source files here
ADD_EXECUTABLE( map2jnx ${SRCS} ${HDRS})

#add definitions, compiler switches, etc.
IF(UNIX)
  ADD_DEFINITIONS(-Wall)  
ENDIF(UNIX)

IF(WIN32)
  ADD_DEFINITIONS(-D_CRT_SECURE_NO_DEPRECATE)
ENDIF(WIN32)

TARGET_LINK_LIBRARIES(map2jnx ${GDAL_LIBRARIES} ${PROJ_LIBRARIES} ${JPEG_LIBRARIES})

if(APPLE)
  set_target_properties(map2jnx PROPERTIES
    RUNTIME_OUTPUT_DIRECTORY ${MAC_BUNDLE_PATH}/Contents/Resources
    )
endif(APPLE)

install(
    TARGETS map2jnx DESTINATION ${BIN_INSTALL_DIR}
)

=== 3rdparty/map2rmap/CMakeLists.txt ===
project(map2rmap)

# Required cmake version
cmake_minimum_required(VERSION 2.6.0)

find_package(GDAL REQUIRED)
find_package(PROJ REQUIRED)
find_package(JPEG REQUIRED)

if(QK_QT5_PORT)
  find_package(Qt5Widgets)
else(QK_QT5_PORT)
  find_package(Qt4 REQUIRED)
  include(${QT_USE_FILE})
endif(QK_QT5_PORT)

set(SRCS
    main.cpp
    CInputFile.cpp
)

set(HDRS
    main.h
    CInputFile.h
)

set(UIS

)

set(RCS


)

if(QK_QT5_PORT)
  qt5_wrap_cpp(MOC_SRCS ${HDRS})
  qt5_wrap_ui(UI_HDRS ${UIS})
  qt5_add_resources(RC_SRCS ${RCS})
else(QK_QT5_PORT)
  qt4_wrap_cpp(MOC_SRCS ${HDRS})
  qt4_wrap_ui(UI_HDRS ${UIS})
  qt4_add_resources(RC_SRCS ${RCS})
endif(QK_QT5_PORT)

include_directories(
    ${CMAKE_BINARY_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${GDAL_INCLUDE_DIRS}
    ${PROJ_INCLUDE_DIRS}
    ${JPEG_INCLUDE_DIRS}
)
if(WIN32)
    include_directories(
        ${CMAKE_SOURCE_DIR}/Win32/
    )
endif(WIN32)

link_directories(
    ${CMAKE_BINARY_DIR}/lib
)

add_executable( map2rmap
    ${SRCS}
    ${HDRS}
    ${UI_HDRS}
    ${RC_SRCS}
    ${MOC_SRCS}
    ${QM_FILES}
)

if(APPLE)
set_target_properties( map2rmap PROPERTIES
    RUNTIME_OUTPUT_DIRECTORY ${MAC_BUNDLE_PATH}/Contents/Resources
)
endif(APPLE)

if(MSVC)
  add_definitions(-D_CRT_SECURE_NO_DEPRECATE )
endif(MSVC)



target_link_libraries( map2rmap
    ${GDAL_LIBRARIES}
    ${PROJ_LIBRARIES}
    ${JPEG_LIBRARIES}
    ${QT_LIBRARIES}
)

if(QK_QT5_PORT)
  qt5_use_modules(map2rmap Widgets)
endif(QK_QT5_PORT)

install(
    TARGETS
      map2rmap
    DESTINATION
      ${BIN_INSTALL_DIR}
)

=== 3rdparty/map2rmp/CMakeLists.txt ===
project(map2rmp)

# Required cmake version
cmake_minimum_required(VERSION 2.6.0)

find_package(GDAL REQUIRED)
find_package(PROJ REQUIRED)
find_package(JPEG REQUIRED)


if(QK_QT5_PORT)
  find_package(Qt5Widgets)
else(QK_QT5_PORT)
  find_package(Qt4 REQUIRED)
  include(${QT_USE_FILE})
endif(QK_QT5_PORT)

set(SRCS
    argv.cpp
    main.cpp
    CFileGenerator.cpp
)

set(HDRS
    argv.h
    CFileGenerator.h
)

set(UIS

)

set(RCS


)

if(QK_QT5_PORT)
  qt5_wrap_cpp(MOC_SRCS ${HDRS})
  qt5_wrap_ui(UI_HDRS ${UIS})
  qt5_add_resources(RC_SRCS ${RCS})
else(QK_QT5_PORT)
  qt4_wrap_cpp(MOC_SRCS ${HDRS})
  qt4_wrap_ui(UI_HDRS ${UIS})
  qt4_add_resources(RC_SRCS ${RCS})
endif(QK_QT5_PORT)

include_directories(
    ${CMAKE_BINARY_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${GDAL_INCLUDE_DIRS}
    ${PROJ_INCLUDE_DIRS}
    ${JPEG_INCLUDE_DIRS}
)
if(WIN32)
    include_directories(
        ${CMAKE_SOURCE_DIR}/Win32/
    )
endif(WIN32)

link_directories(
    ${CMAKE_BINARY_DIR}/lib
)

add_executable( map2rmp
    ${SRCS}
    ${HDRS}
    ${UI_HDRS}
    ${RC_SRCS}
    ${MOC_SRCS}
    ${QM_FILES}
)

if(APPLE)
set_target_properties( map2rmp PROPERTIES
    RUNTIME_OUTPUT_DIRECTORY ${MAC_BUNDLE_PATH}/Contents/Resources
)
endif(APPLE)

if(MSVC)
  add_definitions(-D_CRT_SECURE_NO_DEPRECATE )
endif(MSVC)



target_link_libraries( map2rmp
    ${GDAL_LIBRARIES}
    ${PROJ_LIBRARIES}
    ${JPEG_LIBRARIES}
    ${QT_LIBRARIES}
)
if(QK_QT5_PORT)
  qt5_use_modules(map2rmp Widgets)
endif(QK_QT5_PORT)

install(
    TARGETS
      map2rmp
    DESTINATION
      ${BIN_INSTALL_DIR}
)

=== 3rdparty/qtsoap/CMakeLists.txt ===
project(qtsoap)

# Required cmake version
cmake_minimum_required(VERSION 2.6.0)


set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/lib)


if(QK_QT5_PORT)
  find_package(Qt5Widgets)
else(QK_QT5_PORT)
  find_package(Qt4 REQUIRED)
  include(${QT_USE_FILE})
endif(QK_QT5_PORT)

set(SRCS
    qtsoap.cpp
)

set(HDRS
    qtsoap.h
)

set(UIS

)

set(RCS


)


if(QK_QT5_PORT)
  qt5_wrap_cpp(MOC_SRCS ${HDRS})
  qt5_wrap_ui(UI_HDRS ${UIS})
  qt5_add_resources(RC_SRCS ${RCS})
else(QK_QT5_PORT)
  qt4_wrap_cpp(MOC_SRCS ${HDRS})
  qt4_wrap_ui(UI_HDRS ${UIS})
  qt4_add_resources(RC_SRCS ${RCS})
endif(QK_QT5_PORT)



include_directories(

)

link_directories(
    ${CMAKE_BINARY_DIR}/lib
)

add_library(qtsoap
  ${SRCS}
  ${HDRS}
  ${UI_HDRS}
  ${RC_SRCS}
  ${MOC_SRCS}
  ${QM_FILES}
)

if(QK_QT5_PORT)
  qt5_use_modules(qtsoap Widgets)
endif(QK_QT5_PORT)

target_link_libraries( qtsoap
      ${QT_LIBRARIES}
)

=== 3rdparty/tzone/CMakeLists.txt ===
project(tzone)

# Required cmake version
cmake_minimum_required(VERSION 2.6.0)


set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/lib)


if(QK_QT5_PORT)
  find_package(Qt5Widgets)
else(QK_QT5_PORT)
  find_package(Qt4 REQUIRED)
  include(${QT_USE_FILE})
endif(QK_QT5_PORT)



set(SRCS
    zonefiles.cpp
    src/tzfile.cpp
    src/tzdata.cpp
)

if(WIN32)
    SET(SRCS ${SRCS}  src/tzsys_win.cpp)
else(WIN32)
    SET(SRCS ${SRCS}  src/tzsys_unix.cpp)
endif(WIN32)


set(HDRS
    include/tzfile.h
    include/tzdata.h
    src/tzsys.h
)

set(UIS

)

set(RCS


)


if(QK_QT5_PORT)
  qt5_wrap_cpp(MOC_SRCS ${HDRS})
  qt5_wrap_ui(UI_HDRS ${UIS})
  qt5_add_resources(RC_SRCS ${RCS})
else(QK_QT5_PORT)
  qt4_wrap_cpp(MOC_SRCS ${HDRS})
  qt4_wrap_ui(UI_HDRS ${UIS})
  qt4_add_resources(RC_SRCS ${RCS})
endif(QK_QT5_PORT)




include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/3rdparty/tzone/include
)

link_directories(
    ${CMAKE_BINARY_DIR}/lib
)

add_library(tzone
  ${SRCS}
  ${HDRS}
  ${UI_HDRS}
  ${RC_SRCS}
  ${MOC_SRCS}
  ${QM_FILES}
)
if(QK_QT5_PORT)
  qt5_use_modules(tzone Widgets)
endif(QK_QT5_PORT)

if(WIN32)
target_link_libraries( tzone
      ${QT_LIBRARIES}
)
else(WIN32)
target_link_libraries( tzone
      ${QT_LIBRARIES}
)
endif(WIN32)

=== 3rdparty/SerialPort/qextserialport/CMakeLists.txt ===
project(qextserialport)

# Required cmake version
cmake_minimum_required(VERSION 2.8.6)


set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/lib)

find_package(Qt4 REQUIRED)

include(${QT_USE_FILE})

set(SRCS
    qextserialport.cpp
)

set(HDRS
    qextserialport.h
)

if(WIN32)
    set(SRCS ${SRCS} qextserialport_win.cpp)
else (WIN32)
    set(SRCS ${SRCS} qextserialport_unix.cpp)
endif(WIN32)


include_directories(
)

link_directories(
    ${CMAKE_BINARY_DIR}/lib
)

add_library(qextserialport
  ${SRCS}
  ${HDRS}
)

set_target_properties(qextserialport PROPERTIES AUTOMOC TRUE)

target_link_libraries( qextserialport
      ${QT_LIBRARIES}
)

=== debian/changelog ===
qlandkartegt (1.8.1+ds-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Update branch in gbp.conf and Vcs-Git URL.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 05 May 2015 13:25:06 +0200

qlandkartegt (1.8.1+ds-1) unstable; urgency=medium

  * Set the date embedded in man pages to the changelog date for
    reproducible builds.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 26 Apr 2015 19:27:45 +0200

qlandkartegt (1.8.1+ds-1~exp1) experimental; urgency=medium

  * New upstream release.
    - Fixes MapQuest routing service.
  * Update Files-Excluded for QLandkarteGT 1.8.1.
  * Enable verbose makefiles.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 17 Feb 2015 22:12:58 +0100

qlandkartegt (1.8.0+ds-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Repack upstream tarball, remove patch & svn artifacts.
  * Add myself to Uploaders.
  * Update copyright file, changes:
    - Use capitals in Upstream-Name
    - Use SourceForge for Source
    - Group GPL-3+ copyright holders in one Files section
    - Fix tri-license for QT files
    - Use standard license short names where possible
    - Use wildcards for multiple files where possible
    - Remove unused license specification for LGPL-2.1
  * Update Vcs-Browser URL to use cgit instead of gitweb.
  * Override dh_installchangelogs to install upstream changelog.
  * Enable parallel builds.
  * Drop 04-fix_kfreebsd_build.patch, obsolete.
  * Add patch to add %F field code to Exec key in desktop file.
  * Add man pages for helper utilities.
  * Add patch to use HTTPS for openstreetmap.org tiles.
  * Bump Standards-Version to 3.9.6, no changes.
  * Add upstream metadata.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 13 Feb 2015 13:41:01 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: qlandkartegt
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Jaromír Mikeš <mira.mikes@seznam.cz>,
+           Bas Couwenberg <sebastic@debian.org>,
            Michael Hanke <mih@debian.org>
 Section: science
 Priority: optional
@@ -15,10 +16,14 @@
                libproj-dev,
                libqt4-dev,
                libqt4-opengl-dev,
-               libqtwebkit-dev
-Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/qlandkartegt.git
-Vcs-Git: git://anonscm.debian.org/pkg-grass/qlandkartegt.git
+               libqtwebkit-dev,
+               docbook2x,
+               docbook-xsl,
+               docbook-xml,
+               xsltproc
+Standards-Version: 3.9.6
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-grass/qlandkartegt.git
+Vcs-Git: git://anonscm.debian.org/pkg-grass/qlandkartegt.git -b jessie-backports
 Homepage: http://www.qlandkarte.org
 
 Package: qlandkartegt

=== debian/rules ===
#!/usr/bin/make -f

BUILD_DATE=$(shell dpkg-parsechangelog | sed -ne 's/^Date: //p' | LC_ALL=C date -u "+%d %B %Y" -f -)

MANPAGES := $(wildcard debian/man/*.*.xml)

# one ring to rule them all ...
%:
	dh $@ --parallel

overrid_dh_clean:
	dh_clean debian/man/*.1

override_dh_auto_configure:
	dh_auto_configure -- -DGPX_EXTENSIONS:BOOL=TRUE \
	                     -DCMAKE_VERBOSE_MAKEFILE=1

override_dh_auto_build:
	# Create man page from DocBook XML
	for x in $(MANPAGES) ; do \
	    docbook2x-man --string-param header-3="$(BUILD_DATE)" $$x ; \
	    mv `basename $$x | sed 's/.xml$$//'` `dirname $$x` ; \
	done

	dh_auto_build

override_dh_auto_install:
	# first do the regular job
	dh_auto_install
	# come up with icon in XPM format
	convert debian/qlandkartegt/usr/share/pixmaps/qlandkartegt.png \
		-resize 32x32 debian/qlandkartegt/usr/share/pixmaps/qlandkartegt.xpm
	rm debian/qlandkartegt/usr/share/pixmaps/qlandkartegt.png

override_dh_installchangelogs:
	dh_installchangelogs changelog.txt

=== debian/watch ===
version=3
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
repacksuffix=+ds \
http://sf.net/qlandkartegt/qlandkartegt-(\d)\.([\d\.]*)\.tar\.gz
